Autore Topic: Stampante hp non funziona  (Letto 5233 volte)

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Stampante hp non funziona
« il: 20 Maggio 2012 ore 11:24 »
Ho provato a installare la mia stampante hp 1018.
DI seguito posto tutti i passaggi da terminale:
Codice: [Seleziona]
[chakra@chakra-pc video]$ sudo pacman -S kdeadmin-kuser
Password:
attenzione: kdeadmin-kuser-4.8.3-1 è aggiornato, sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (1): kdeadmin-kuser-4.8.3-1

Dimensione totale dei pacchetti da installare:   0,67 MiB

Dimensione dell'aggiornamento di rete: 0,00 MiB

Vuoi procedere con l'installazione? [S/n] s
(1/1) controllo dell'integrità del pacchetto                                    [##############################################] 100%
(1/1) caricamento dei file del pacchetto                                        [##############################################] 100%
(1/1) controllo dei conflitti in corso                                          [##############################################] 100%
(1/1) aggiornamento in corso di kdeadmin-kuser                                  [##############################################] 100%
 > Rebuilding xdg icon database ... DONE
[chakra@chakra-pc video]$ sudo pacman -S cups gutenprint system-config-printer cups-pdf kdeutils-printer-applet
attenzione: cups-1.5.2-1 è aggiornato, sarà reinstallato
attenzione: gutenprint-5.2.7-3 è aggiornato, sarà reinstallato
attenzione: system-config-printer-1.3.7-1 è aggiornato, sarà reinstallato
attenzione: cups-pdf-2.5.1-1 è aggiornato, sarà reinstallato
attenzione: kdeutils-printer-applet-4.8.3-1 è aggiornato, sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (5): cups-1.5.2-1  cups-pdf-2.5.1-1  gutenprint-5.2.7-3  kdeutils-printer-applet-4.8.3-1  system-config-printer-1.3.7-1

Dimensione totale dei pacchetti da scaricare:    16,29 MiB

Dimensione totale dei pacchetti da installare:   175,39 MiB

Dimensione dell'aggiornamento di rete: 0,00 MiB

Vuoi procedere con l'installazione? [S/n] s
:: Download dei pacchetti da platform...
 cups-1.5.2-1-i686                                       7,0 MiB  98,6K/s 01:12 [##############################################] 100%
 gutenprint-5.2.7-3-i686                                 9,3 MiB   120K/s 01:19 [##############################################] 100%
 system-config-printer-1.3.7-1-any                      53,4 KiB  88,3K/s 00:01 [##############################################] 100%
 cups-pdf-2.5.1-1-i686                                  14,7 KiB   113K/s 00:00 [##############################################] 100%
(5/5) controllo dell'integrità del pacchetto                                    [##############################################] 100%
(5/5) caricamento dei file del pacchetto                                        [##############################################] 100%
(5/5) controllo dei conflitti in corso                                          [##############################################] 100%
(1/5) aggiornamento in corso di cups                                            [##############################################] 100%
lpadmin:*:998:chakra
:: Stopping cupsd daemon    [BUSY]    [DONE]
:: Starting cupsd daemon    [BUSY]    [DONE]
(2/5) aggiornamento in corso di gutenprint                                      [##############################################] 100%
>>please run /usr/sbin/cups-genppdupdate
>>and restart cups deamon
(3/5) aggiornamento in corso di system-config-printer                           [##############################################] 100%
(4/5) aggiornamento in corso di cups-pdf                                        [##############################################] 100%
(5/5) aggiornamento in corso di kdeutils-printer-applet                         [##############################################] 100%
 > Rebuilding xdg icon database ... DONE
[chakra@chakra-pc video]$ sudo /etc/rc.d/cups start
:: Starting cupsd daemon                                                                                                      [FAIL]
[chakra@chakra-pc video]$ sudo nano /etc/rc.d
[chakra@chakra-pc video]$ sudo nano /etc/rc.conf
[chakra@chakra-pc video]$ sudo nano /etc/rc.conf
[chakra@chakra-pc video]$ sudo pacman -S hplip
attenzione: hplip-3.12.2-1 è aggiornato, sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (1): hplip-3.12.2-1

Dimensione totale dei pacchetti da scaricare:    13,81 MiB

Dimensione totale dei pacchetti da installare:   28,48 MiB

Dimensione dell'aggiornamento di rete: 0,00 MiB

Vuoi procedere con l'installazione? [S/n] s
:: Download dei pacchetti da platform...
 hplip-3.12.2-1-i686                                    13,8 MiB  97,7K/s 02:25 [##############################################] 100%
(1/1) controllo dell'integrità del pacchetto                                    [##############################################] 100%
(1/1) caricamento dei file del pacchetto                                        [##############################################] 100%
(1/1) controllo dei conflitti in corso                                          [##############################################] 100%
(1/1) aggiornamento in corso di hplip                                           [##############################################] 100%

NOTE
----
# If you want to use this driver with sane:
#  echo "hpaio" >> /etc/sane.d/dll.conf


UPGRADING
----
# This version no longer uses an init script. You should remove hplip
# from the /etc/rc.conf daemon list.

[chakra@chakra-pc video]$ sudo /etc/rc.d/cups start
:: Starting cupsd daemon                                                                                                      [FAIL]
Ho provato a stampare,ed è come se non la rilevasse.
Ho fatto quindi stampa di prova da cups (ho installato correttamente la stampante su cups) e mi da questo:
stopped
"/usr/lib/cups/filter/foomatic-rip-hplip failed"
Come fare?

Offline AlmAck

  • *
  • Post: 360
  • Reputazione: 42
    • Mostra profilo
    • AlmAck.ch
Re:Stampante hp non funziona
« Risposta #1 il: 20 Maggio 2012 ore 11:27 »
Devi installare questo pacchetto da ccr
http://chakra-linux.org/ccr/packages.php?ID=2600
 C'è solo un problema, il pacchetto in questione non funziona. Vedo di chiedere di adottarlo, ho già la patch pronta.

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:Stampante hp non funziona
« Risposta #2 il: 20 Maggio 2012 ore 11:31 »
Devi installare questo pacchetto da ccr
http://chakra-linux.org/ccr/packages.php?ID=2600
 C'è solo un problema, il pacchetto in questione non funziona. Vedo di chiedere di adottarlo, ho già la patch pronta.
Grazie,allora per il momento aspetto e basta

Offline AlmAck

  • *
  • Post: 360
  • Reputazione: 42
    • Mostra profilo
    • AlmAck.ch
Re:Stampante hp non funziona
« Risposta #3 il: 20 Maggio 2012 ore 11:41 »
Oggio chiedo di passarmi il pacchetto, quando è a posto scrivo qui.
In pratica cmq. dovresti riuscire a stampare anche con altri driver ma la qualità non è perfetta come questo.
Prova con il driver Foomatic/gutenprint dovrebbe funzionare (sono installati di default). Questo come soluzione temporanea.

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:Stampante hp non funziona
« Risposta #4 il: 20 Maggio 2012 ore 11:52 »
sto scaricando

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:Stampante hp non funziona
« Risposta #5 il: 20 Maggio 2012 ore 12:00 »
niente da fare,uguale a prima
P.S. sei sicuro che sia solo un problema di driver?
più che altro questa riga non mi piace:
Codice: [Seleziona]
sudo /etc/rc.d/cups start
Password:
:: Starting cupsd daemon                                                                                                      [FAIL]
notare il fail

Offline FranzMari

  • *
  • Post: 2812
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Stampante hp non funziona
« Risposta #6 il: 20 Maggio 2012 ore 12:23 »
Dovresti dargli 'restart' invece di 'start', perché evidentemente è già in esecuzione.
Hai installato i pacchetti suggeriti per hp sul wiki? http://chakra-linux.org/wiki/index.php/Set_Up_Your_Printer/it
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:Stampante hp non funziona
« Risposta #7 il: 20 Maggio 2012 ore 12:35 »
Dovresti dargli 'restart' invece di 'start', perché evidentemente è già in esecuzione.
Hai installato i pacchetti suggeriti per hp sul wiki? http://chakra-linux.org/wiki/index.php/Set_Up_Your_Printer/it
Credo di si,nel primo post c'è tutto quello che avevo fatto
ora ho dato
[chakra@chakra-pc video]$ sudo /etc/rc.d/cups restart
Password:
:: Stopping cupsd daemon                                                                                                      [DONE]
:: Starting cupsd daemon                                                                                                        [DONE]

Un passo in avanti me l'hai fatto fare :D
però ancora non funziona  >:(
Ora ho installato anche libgssglue-0.3-3  libtirpc-0.2.2-4  dbus-python-0.84.0-2  pygobject-2.26.0-1  pyqt-4.9-1  rpcbind-0.2.0-3 ma non cambia niente

Ho dato lp avatar_551_1336055771.jpg
e non sembrava avere problemi,niente output (solo una riga vuota) ma è uscita fuori una finestrella che dice
"programmino di stampa"
Stampante <<HP-LaserJet-1018>>:
<<hplip.plugin>>.
« Ultima modifica: 20 Maggio 2012 ore 12:46 da andreazube »

Offline AlmAck

  • *
  • Post: 360
  • Reputazione: 42
    • Mostra profilo
    • AlmAck.ch
Re:Stampante hp non funziona
« Risposta #8 il: 20 Maggio 2012 ore 13:31 »
Non serve installare tutti quei pacchetti, per la tua stampante basta foo2zjs che ho indicato prima. hplip non serve, è il driver generale di HP per la maggior parte delle stampanti.

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:Stampante hp non funziona
« Risposta #9 il: 20 Maggio 2012 ore 13:49 »
Non serve installare tutti quei pacchetti, per la tua stampante basta foo2zjs che ho indicato prima. hplip non serve, è il driver generale di HP per la maggior parte delle stampanti.
Quando potrò scaricare il driver,cosa dovrò fare?basta un semplice ccr nome_pacchetto e fa tutto lui?
p.s. non so perchè,ma un pò di tempo fa,mi pare con ubuntu 11.04 e forse linux mint 12 ,mi bastava collegare la stampante e veniva rilevata e auto-installati i driver,e la stampante funzionava.invece da ubuntu 11.10 non funziona (nemmeno in live)
Sul windows 7 di mio fratello va (ho il cd con i driver per windows)

Offline AlmAck

  • *
  • Post: 360
  • Reputazione: 42
    • Mostra profilo
    • AlmAck.ch
Re:Stampante hp non funziona
« Risposta #10 il: 20 Maggio 2012 ore 14:49 »
Per installarlo basta un ccr e poi devi cambiare i driver della tua stampante usando "Foomatic/foo2zjs-z1"
Il pacchetto in ccr è ora aggiornato prova ad installarlo.

Ubuntu e altri durante l'installazione instano più driver possibili cosi l'utente non si deve preoccupare su cosa e come installarli. Questo è il motivo per cui quando collighi una stampante in ubuntu al riconosce correttamente on the fly.

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:Stampante hp non funziona
« Risposta #11 il: 20 Maggio 2012 ore 14:52 »
Prima c'era solo un pacchetto disponibile,ora ce ne sono 2.
Sto scaricando quello segnalato come "1"

Offline AlmAck

  • *
  • Post: 360
  • Reputazione: 42
    • Mostra profilo
    • AlmAck.ch
Re:Stampante hp non funziona
« Risposta #12 il: 20 Maggio 2012 ore 15:00 »
Si ho fatto un'errorino nel primo, foomatic-db-foo2zjs. L'ho aggiornato ma non cambia niente vai con il primo va bene cmq.

Installa solo foo2zjs l'altro è una sua dipendenza.

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:Stampante hp non funziona
« Risposta #13 il: 20 Maggio 2012 ore 15:09 »
Si ho fatto un'errorino nel primo, foomatic-db-foo2zjs. L'ho aggiornato ma non cambia niente vai con il primo va bene cmq.

Installa solo foo2zjs l'altro è una sua dipendenza.
Ecco qua:
Codice: [Seleziona]
[chakra@chakra-pc ~]$ ccr foo2zjs
0 ccr/foomatic-db-foo2zjs 4.0.15_20120406-2
    Foomatic - The collected knowledge about printers, drivers, and driver options in XML files, used by foomatic-db-engine
    to generate PPD files. Rebuilded for use with foo2zjs
1 ccr/foo2zjs 20120404-1
    ZJStream Printer Drivers.

Type numbers to install. Separate each number with a space.
Numbers: 1

Ccr Targets    (2): foomatic-db-foo2zjs foo2zjs
Pacman Targets (1): psutils

Proceed with installation? [Y/n] y
Password:
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (1): psutils-1.17-1

Dimensione totale dei pacchetti da scaricare:    0,05 MiB

Dimensione totale dei pacchetti da installare:   0,33 MiB


Vuoi procedere con l'installazione? [S/n]
:: Download dei pacchetti da platform...
 psutils-1.17-1-i686                                    50,9 KiB  43,4K/s 00:01 [##############################################] 100%
(1/1) controllo dell'integrità del pacchetto                                    [##############################################] 100%
(1/1) caricamento dei file del pacchetto                                        [##############################################] 100%
(1/1) controllo dei conflitti in corso                                          [##############################################] 100%
(1/1) installazione in corso di psutils                                         [##############################################] 100%
uRL: http://chakra-linux.org/ccr/packages/fo/foomatic-db-foo2zjs/foomatic-db-foo2zjs.tar.gz
Edit foomatic-db-foo2zjs PKGBUILD with $EDITOR? [Y/n] n
==> Creazione del pacchetto: foomatic-db-foo2zjs 4.0.15_20120406-2 (dom 20 mag 2012, 14.52.08, CEST)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> Download di foomatic-db-1:4.0.15_20120406-1-i686.pkg.tar.xz in corso...
--2012-05-20 14:52:09--  http://mirrors.kernel.org/archlinux/extra/os/i686/foomatic-db-1:4.0.15_20120406-1-i686.pkg.tar.xz
Risoluzione di mirrors.kernel.org... 149.20.4.71
Connessione a mirrors.kernel.org|149.20.4.71|:80... connesso.
Richiesta HTTP inviata, in attesa di risposta... 200 OK
Lunghezza: 20174176 (19M) [application/x-xz]
Salvataggio in: "foomatic-db-1:4.0.15_20120406-1-i686.pkg.tar.xz.part"

100%[===========================================================================================>] 20.174.176  27,6K/s   in 12m 5s 

2012-05-20 15:04:16 (27,2 KB/s) - "foomatic-db-1:4.0.15_20120406-1-i686.pkg.tar.xz.part" salvato [20174176/20174176]

==> Validazione dei file sorgenti con md5sums in corso...
    foomatic-db-1:4.0.15_20120406-1-i686.pkg.tar.xz ... Verificato
==> Estrazione dei sorgenti in corso...
  -> Estrazione di foomatic-db-1:4.0.15_20120406-1-i686.pkg.tar.xz con bsdtar in corso...
==> Entro nell'ambiente fakeroot...
==> Avvio di build() in corso...
==> Rimozione dei dati superflui in corso...
  -> Eliminazione dei file indesiderati in corso...
  -> Compressione delle pagine man ed info in corso...
  -> Rimozione dei simboli non necessari dai binari e dalle librerie in corso...
==> Creazione del pacchetto in corso...
  -> Generazione del file .PKGINFO in corso...
  -> Compressione del pacchetto in corso...
==> Uscita dall'ambiente di fakeroot.
==> Compilazione terminata: foomatic-db-foo2zjs 4.0.15_20120406-2 (dom 20 mag 2012, 15.05.54, CEST)
Password:
caricamento dei pacchetti in corso...
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: foomatic-db-foo2zjs e foomatic-db vanno in conflitto (foomatic-db-hpijs). Vuoi rimuovere foomatic-db? [s/N] s

Pacchetti (2): foomatic-db-4.0.5_20100927-1 [removal]  foomatic-db-foo2zjs-4.0.15_20120406-2

Dimensione totale dei pacchetti da installare:   54,00 MiB

Dimensione dell'aggiornamento di rete: 6,54 MiB

Vuoi procedere con l'installazione? [S/n] s
(1/1) controllo dell'integrità del pacchetto                                    [##############################################] 100%
(1/1) caricamento dei file del pacchetto                                        [##############################################] 100%
(1/1) controllo dei conflitti in corso                                          [##############################################] 100%
(1/1) rimozione in corso di foomatic-db                                         [##############################################] 100%
(1/1) installazione in corso di foomatic-db-foo2zjs                             [##############################################] 100%
Dipendenze opzionali di foomatic-db-foo2zjs
    foo2zjs
uRL: http://chakra-linux.org/ccr/packages/fo/foo2zjs/foo2zjs.tar.gz
Edit foo2zjs PKGBUILD with $EDITOR? [Y/n] n
Edit foo2zjs.install with $EDITOR? [Y/n] n
==> Creazione del pacchetto: foo2zjs 20120404-1 (dom 20 mag 2012, 15.06.30, CEST)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> Download di foo2zjs.tar.gz in corso...
--2012-05-20 15:06:30--  http://foo2zjs.rkkda.com/foo2zjs.tar.gz
Risoluzione di foo2zjs.rkkda.com... 74.208.41.246
Connessione a foo2zjs.rkkda.com|74.208.41.246|:80... connesso.
Richiesta HTTP inviata, in attesa di risposta... 200 OK
Lunghezza: 1644084 (1,6M) [application/x-tar]
Salvataggio in: "foo2zjs.tar.gz.part"

100%[===========================================================================================>] 1.644.084   13,3K/s   in 78s     

2012-05-20 15:07:49 (20,5 KB/s) - "foo2zjs.tar.gz.part" salvato [1644084/1644084]

  -> È stato trovato 0001-Firmware-destdir-support-20120214.patch
==> Validazione dei file sorgenti con md5sums in corso...
    foo2zjs.tar.gz ... NON RIUSCITO
    0001-Firmware-destdir-support-20120214.patch ... Verificato
==> ERRORE: Uno o più file non hanno superato il controllo di validità!
The build failed.
guarda la fine:credo tu abbia dimenticato la md5sum

Offline AlmAck

  • *
  • Post: 360
  • Reputazione: 42
    • Mostra profilo
    • AlmAck.ch
Re:Stampante hp non funziona
« Risposta #14 il: 20 Maggio 2012 ore 15:55 »
Grazie, non mi ero neanche accorto ma è già uscita una nuova versione. La sto stestando poi carico i nuovi file.

 

Template by Homey | Sito ufficiale | Disclaimer